Name:           dcfldd
Version:        1.8
Release:        %mkrel 1
Summary:        Improved dd, useful for forensics and security
Group:          System/Kernel and hardware
License:        GPLv2+ and BSD and Copyright Only
URL:            https://github.com/resurrecting-open-source-projects/dcfldd
Source0:        https://github.com/resurrecting-open-source-projects/%{name}/archive/v%{version}/%{name}-%{version}.tar.xz


%description
dcfldd is an enhanced version of GNU dd with features useful for forensics
and security. dcfldd has the following additional features:

   * Hashing on-the-fly - dcfldd can hash the input data as it is being
     transferred, helping to ensure data integrity.
   * Status output - dcfldd can update the user of its progress in terms of
     the amount of data transferred and how much longer operation will take.
   * Flexible disk wipes - dcfldd can be used to wipe disks quickly
     and with a known pattern if desired.
   * Image/wipe Verify - dcfldd can verify that a target drive is a
     bit-for-bit match of the specified input file or pattern.
   * Multiple outputs - dcfldd can output to multiple files or disks at
     the same time.
   * Split output - dcfldd can split output to multiple files with more
     configuration possibilities than the split command.
   * Piped output and logs - dcfldd can send all its log data and output
     to commands as well as files.

%prep
%setup -q

%build
# to recognize aarch64
autoreconf -vfi

%configure2_5x
%make_build

%install
rm -rf %buildroot
%make_install


%files
%{_bindir}
%{_datadir}

%changelog
* Sat Nov 12 2022 tex - 1.8-1pclos2022
- new version
